org.apache.fop.pdf

## Interface PDFWritable

- All Known Implementing Classes:
    AbstractPDFFontStream, AbstractPDFStream, ObjectStream, PageSequenceStructElem, PDFAction, PDFAnnotList, PDFArray, PDFCFFStream, PDFCFFStreamType0C, PDFCharProcs, PDFCIDFont, PDFCIDFontDescriptor, PDFCIDSystemInfo, PDFCIELabColorSpace, PDFCMap, PDFColor, PDFDestination, PDFDests, PDFDictionary, PDFDPart, PDFDPartRoot, PDFEmbeddedFile, PDFEmbeddedFiles, PDFEncoding, PDFEncryptionJCE, PDFFileSpec, PDFFont, PDFFontDescriptor, PDFFontNonBase14, PDFFontTrueType, PDFFontType0, PDFFontType1, PDFFontType3, PDFFormXObject, PDFFunction, PDFGoTo, PDFGoToRemote, PDFGState, PDFICCBasedColorSpace, PDFICCStream, PDFIdentifiedDictionary, PDFImageXObject, PDFInfo, PDFInternalLink, PDFJavaScriptLaunchAction, PDFLaunch, PDFLayer, PDFLink, PDFMetadata, PDFName, PDFNames, PDFNameTreeNode, PDFNavigator, PDFNavigatorAction, PDFNull, PDFNumber, PDFNumberTreeNode, PDFNumsArray, PDFObject, PDFOutline, PDFOutputIntent, PDFPage, PDFPageLabels, PDFPages, PDFParentTree, PDFPathPaint, PDFPattern, PDFRectangle, PDFReference, PDFResourceContext, PDFResources, PDFRoot, PDFSeparationColorSpace, PDFSetOCGStateAction, PDFShading, PDFStream, PDFStructElem, PDFStructElem.Placeholder, PDFStructTreeRoot, PDFT1Stream, PDFText, PDFToUnicodeCMap, PDFTransitionAction, PDFTTFStream, PDFUri, PDFXObject, StructureHierarchyMember, TransitionDictionary

      public interface PDFWritable

  This interface is implemented by classes that can be serialized to a PDF file either by serializing the object or by writing a indirect reference to the actual object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `outputInline(java.io.OutputStream out, java.lang.StringBuilder textBuffer)` Writes a "direct object" (inline object) representation to the stream.

- - ### Method Detail

    - #### outputInline

          void outputInline(java.io.OutputStream out,
                            java.lang.StringBuilder textBuffer)
                     throws java.io.IOException

      Writes a "direct object" (inline object) representation to the stream. A text buffer is given for optimized encoding of text content.

      IMPORTANT: If you need to write out binary output, call `PDFDocument.flushTextBuffer(StringBuilder, OutputStream)` before writing any content to the `OutputStream`!

      Parameters:
        `out` - the OutputStream (for binary content)
        `textBuffer` - the text buffer for text content
      Throws:
        `java.io.IOException` - if an I/O error occurs

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.